org.apache.flume.source

## Class ThriftSource

- java.lang.Object
- - org.apache.flume.source.AbstractSource
  - - org.apache.flume.source.ThriftSource

- All Implemented Interfaces:
    Configurable, EventDrivenSource, LifecycleAware, NamedComponent, Source

      public class ThriftSource
      extends AbstractSource
      implements Configurable, EventDrivenSource

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BINARY_PROTOCOL`
    `static String` | `COMPACT_PROTOCOL`
    `static String` | `CONFIG_BIND` Config param for the hostname to listen on.
    `static String` | `CONFIG_PORT` Config param for the port to listen on.
    `static String` | `CONFIG_PROTOCOL` Config param for the thrift protocol to use.
    `static String` | `CONFIG_THREADS` Config param for the maximum number of threads this source should use to handle incoming data.
    `static org.slf4j.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThriftSource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Context context)` Request the implementing class to (re)configure itself.
    `void` | `start()` Starts a service or component.
    `void` | `stop()` Stops a service or component.

    - ### Methods inherited from class org.apache.flume.source.AbstractSource

      `getChannelProcessor, getLifecycleState, getName, setChannelProcessor, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.flume.Source

      `getChannelProcessor, setChannelProcessor`

    - ### Methods inherited from interface org.apache.flume.lifecycle.LifecycleAware

      `getLifecycleState`

    - ### Methods inherited from interface org.apache.flume.NamedComponent

      `getName, setName`

- - ### Field Detail

    - #### logger

          public static final org.slf4j.Logger logger

    - #### CONFIG_THREADS

          public static final String CONFIG_THREADS

      Config param for the maximum number of threads this source should use to handle incoming data.
      See Also:
        Constant Field Values

    - #### CONFIG_BIND

          public static final String CONFIG_BIND

      Config param for the hostname to listen on.
      See Also:
        Constant Field Values

    - #### CONFIG_PORT

          public static final String CONFIG_PORT

      Config param for the port to listen on.
      See Also:
        Constant Field Values

    - #### CONFIG_PROTOCOL

          public static final String CONFIG_PROTOCOL

      Config param for the thrift protocol to use.
      See Also:
        Constant Field Values

    - #### BINARY_PROTOCOL

          public static final String BINARY_PROTOCOL

      See Also:
        Constant Field Values

    - #### COMPACT_PROTOCOL

          public static final String COMPACT_PROTOCOL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ThriftSource

          public ThriftSource()

  - ### Method Detail

    - #### configure

          public void configure(Context context)

      Description copied from interface: `Configurable`

      Request the implementing class to (re)configure itself.

      When configuration parameters are changed, they must be reflected by the component asap.

      There are no thread safety guarantees on when configure might be called.

      Specified by:
        `configure` in interface `Configurable`

    - #### start

          public void start()

      Description copied from interface: `LifecycleAware`

      Starts a service or component.

      Implementations should determine the result of any start logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `start` in interface `LifecycleAware`
      Overrides:
        `start` in class `AbstractSource`

    - #### stop

          public void stop()

      Description copied from interface: `LifecycleAware`

      Stops a service or component.

      Implementations should determine the result of any stop logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `stop` in interface `LifecycleAware`
      Overrides:
        `stop` in class `AbstractSource`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.